Neuro-Lab failing after WLP 6.9.20.7 update
Author: JDardon
Creation Date: 7/11/2019 6:20 PM
profile picture

JDardon

#1
Guys:

Had the same problem as others after attempting to upgrade WLPro to 6.9.20.7 today, so following your advice uninstalled WLPro an reinstalled it again after clearing the main WL folder. However, after doing so Neural Lab is no longer functioning. My scripts were not compiling (even after uninstalling and reinstalling NeuroLab).

I did confirm that NeuroLab.dll is in my main wealth lab folder after the reinstallation, but still scripts not compiling.
I had to physically go into REferences in the editor and add a pointer to the NeuroLab.dll in the main wealth lab folder for my scripts to compile. This was not necessary before.... if the .dll was in the main wealth lab folder, it would take.

1) However, now that they compile, they still don't run with this runtime error:

QUOTE:
Runtime error: The type or namespace name "NeurLab" could not be found (are you missing a using directie or an assembly reference?)
at WealthLab.Strategies.PropuslionStrategy.Execute()



2) Also I can't seem to find the NeuroLab in the Tools folder

3) And.... the strategy parameters (I've got a lot) no longer scroll, so I can only access the ones that fit in the screen and can no longer scroll to the ones below

So regarding by point 3 , when I open a workspace with multiple copies of the same strategy, and I compile.. .the strategy parameters can't be scrolled, however when I open that same strategy by itself on a clean workspace and compile it... the strategy parameters can be scrolled.
profile picture

Eugene

#2
Getting 6.9.20 out of the door required mandatory upgrade of the QWhale Editor (now Alternet). For its part, Neuro-Lab's Editor contains dependencies on QWhale's outdated Editor component. Thus, NL 2017.06 is incompatible with WLP 6.9.20 (due to its upgraded Editor). It appears that MS123 has to at least recompile Neuro-Lab against the new Alternet Editor to get it working. We'll approach it ASAP.

Thanks for the heads-up and sorry for the trouble.
profile picture

JDardon

#3
@eugene

So I need to rollback to 6.9.19 then...can I simply reinstall an old installer?
profile picture

JDardon

#4
Also... I am exited to see the new editor... will you publish a reference of the new features?? I am seeing all kinds of things going on in the sroll bar but can't tell what they mean.
profile picture

Eugene

#5
QUOTE:
So I need to rollback to 6.9.19 then...can I simply reinstall an old installer?

I'm not sure. Can you simply install 32-bit 6.9.19 alongside, if you're a 64-bit WLP user?

Otherwise I'd do a clean reinstall:

1. Uninstall WLP
2. Delete this entire folder: C:\Program Files\Fidelity Investments\Wealth-Lab Pro 6
3. Download and run your saved installer of 6.9.19
4. Reinstall all Wealth-Lab Extensions required for your Strategies to run

It doesn't affect your data, Strategies and settings (may not apply to the Editor's settings).
profile picture

fairone99

#6
Hi! Eugene,

I am having the same issue of Neuro-Lab not working after updated the WLP to 6.9.20.

I will need to roll back to the WLP 6.9.19 (64 bit version).

Could you kindly provide a link for me to download the WLP 6.9.19 (64 bit version)?

Thanks!


Alex
profile picture

Eugene

#7
QUOTE:
I am having the same issue of Neuro-Lab not working after updated the WLP to 6.9.20.


Sorry to hear this but you may find my suggestion to JDardon for working with NL helpful: Can you simply install 32-bit 6.9.19 alongside, if you're a 64-bit WLP user?

QUOTE:
Could you kindly provide a link for me to download the WLP 6.9.19 (64 bit version)?


No but you're likely to find it on your PC: Downgrade from 6.9 to a previous version
profile picture

psimmons

#8
I'm getting by using Visual Studio editor using the development library in precompiled form.
I would prefer to down grade, but if necessary can wait a short time for a fix.
profile picture

JDardon

#9
@psimmons

Could you provide more info on how you are using the development library with Visual Studio editor?
profile picture

Eugene

#10
@psimmons

Hope the wait is not too long. The team already has the WLDev 6.9.20 build on hand required to start working on Neuro-Lab issues. However, getting the new WLPro 6.9.20.x out of the door would take more time due to Q&A and different release schedule at Fidelity.
profile picture

LenMoz

#11
Just to be clear. Is the problem with the Neuro-Lab development tool or with NNIndicator.Series (or both)?
profile picture

Eugene

#12
As per post #2 above, the problem is that Neuro-Lab depends on the QWhale Editor component which had to undergo a major version upgrade according to a Fidelity decision. Resolving the issue is taking more effort than we initially expected but we're getting closer step by step.
profile picture

Eugene

#13
Thought about a quick workaround which would consist of saving a copy of the old Editor DLLs but this will NOT work due to a license conflict. Moreover it will break the new Editor's license. Do NOT try it at home. :)
profile picture

JDardon

#14
Ok please keep us posted on the updates of this as it is critical for many of us
profile picture

Eugene

#15
No worries, we're on it. I've done my part today, fixing Neuro-Lab's compatibility with WL 6.9.20.7's upgraded Alternet Editor. So NL apparently works as before if confirmed by QA.

There exist some important considerations that we have yet to resolve before it can be deployed to production, though. Sorry but getting it out the door will take some time.

profile picture

LenMoz

#16
Eugene, if you haven't already, don't forget to insure that NNIndicator.Series works in a strategy. That completes the loop.

I don't think the editor should be involved, but who knows what some clever programmer did.
profile picture

Eugene

#17
Yes, the NNIndicator works.
profile picture

JDardon

#18
Thanks... good news Eugene.

When you say some time... are we talking days, weeks/ months???
profile picture

Eugene

#19
I'd like to stay optimistic and quote Cone's post earlier today where he said:

QUOTE:
We're expecting more frequent upgrades now :)


In theory it should be easier to get NL out of the door than a WLP build in the sense that NL isn't part of WLP. However, like I said in post #15 there's still a serious issue left to resolve.
profile picture

ubaldorojas

#20
Keep up the good work Eugene!. I like the new editor but simply I cannot give up NeuroLab.
profile picture

LenMoz

#21
Please make sure the updated NeuroLab includes the "Autostop on next Error Rate Low" on the training tab. This was added by Cone in 2017. (Edit)This was per Support Ticket 27755.

See https://www.wealth-lab.com/Forum/Posts/Neuro-Lab-Improvement-Request-Stop-on-next-Error-Rate-Low-38698

Error Rate Low Image...
profile picture

Eugene

#22
No worries, it will remain. It's part of the production build since v2017.06.
profile picture

Eugene

#23
To everyone affected by the WLP 6.9.20.7 upgrade which broke Neuro-Lab:

Neuro-Lab v2019.08 is just out with fix to this breaking change. Please update using the Extension Manager or our website and restart WLP.

Notes:

1. Users of previous versions (mainly WLDev 6.9.15) need not update to this version. Doing so will break installed NL for them (as it's not backward compatible) and leave you without working NL until we release WLDev 6.9.20+.

2. Due to the Editor upgrade, syntax highlighting has changed in both WLP and NL. Method names will no longer be highlighted, only class names and language keywords.
This website uses cookies to improve your experience. We'll assume you're ok with that, but you can opt-out if you wish (Read more).